--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Updates attributes and saves this Resource instance, bypassing hooks
- !ruby/struct:SM::Flow::P 
  body: "@param [Hash] attributes"
- !ruby/struct:SM::Flow::VERB 
  body: "  attributes to be updated\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if resource and storage state match\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Resource#update!
is_singleton: false
name: update!
params: (attributes = {})
visibility: public
